Bug 1678884 - Review Request: perl-File-Rsync - Perl module interface to rsync
Summary: Review Request: perl-File-Rsync - Perl module interface to rsync
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-19 19:26 UTC by Robert-André Mauchin 🐧
Modified: 2019-03-02 01:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-02 01:20:36 UTC
Type: ---
ppisar: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2019-02-19 19:26:58 UTC
Spec URL: https://eclipseo.fedorapeople.org/perl-File-Rsync.spec
SRPM URL: https://eclipseo.fedorapeople.org/perl-File-Rsync-0.49-1.fc30.src.rpm

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=32911751

Description:
Perl Convenience wrapper for the rsync(1) program. Written for rsync-
2.3.2 and updated for rsync-3.1.1 but should perform properly with most
recent versions.

Fedora Account System Username: eclipseo

Comment 1 Petr Pisar 2019-02-20 09:34:37 UTC
Url and Source addresses are Ok.
Source0 archive (SHA-256: dd995df485f7334796d242efa277586d38d2544cace6ca0c3629a225df1e42d8) is original. Ok.
Summary verified from Rsync.pm. Ok.
Description verified from Rsync.pm. Ok.
License verified from Rsync.pm and README. Ok.
No XS code, noarch BuildArch is Ok.

TODO: You can add "NO_PERLLOCAL=1" to a "perl Makefile.PL" command and replace "make pure_install DESTDIR=$RPM_BUILD_ROOT" with a "%make_install" macro.
TODO: Do not package META.json file. Those are metadata not needed at run-time or already provided elsewhere.
TODO: Replace a "%{__perl}" macro with a "perl" command. A dummy macros are demoted by current guidelines <https://docs.fedoraproject.org/en-US/packaging-guidelines/#_macros>.

TODO: Build-require "perl(:VERSION) >= 5.008" (Rsync.pm:15).
FIX: Build-require "perl(Config)" (Makefile.PL:5) or remove it from the Makefile.PL (it's not used for anything).

All tests pass. Ok.

$ rpmlint perl-File-Rsync.spec ../SRPMS/perl-File-Rsync-0.49-1.fc30.src.rpm ../RPMS/noarch/perl-File-Rsync-0.49-1.fc30.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-File-Rsync-0.49-1.fc30.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Feb 20 10:22 /usr/share/doc/perl-File-Rsync
-rw-r--r--    1 root    root                    23979 Mar 10  2016 /usr/share/doc/perl-File-Rsync/Changelog
-rw-r--r--    1 root    root                     1055 Mar 10  2016 /usr/share/doc/perl-File-Rsync/META.json
-rw-r--r--    1 root    root                     1935 Mar 10  2016 /usr/share/doc/perl-File-Rsync/README
-rw-r--r--    1 root    root                      119 Jul 29  2015 /usr/share/doc/perl-File-Rsync/TODO
-rw-r--r--    1 root    root                     6182 Feb 20 10:22 /usr/share/man/man3/File::Rsync.3pm.gz
drwxr-xr-x    2 root    root                        0 Feb 20 10:22 /usr/share/perl5/vendor_perl/File
-rw-r--r--    1 root    root                    31052 Mar  9  2016 /usr/share/perl5/vendor_perl/File/Rsync.pm
File permissions and layout are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-File-Rsync-0.49-1.fc30.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.28.1)
      1 perl(:VERSION) >= 5.8.0
      1 perl(Carp)
      1 perl(Data::Dumper)
      1 perl(FileHandle)
      1 perl(IPC::Run3)
      1 perl(Scalar::Util)
      1 perl(strict)
      1 perl(vars)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rsync
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/noarch/perl-File-Rsync-0.49-1.fc30.noarch.rpm | sort -f | uniq -c
      1 perl(File::Rsync) = 0.49
      1 perl-File-Rsync = 0.49-1.fc30
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-File-Rsync-0.49-1.fc30.noarch.rpm
Binary dependencies are resolvable. Ok.

The package builds in F30 (https://koji.fedoraproject.org/koji/taskinfo?taskID=32921198). Ok.

Otherwise the package is in line with Fedora and Perl packaging guidelines.
Please correct the "FIX" item and consider fixing the "TODO" items before building this package.
Resolution: Package is APPROVED.

Comment 2 Robert-André Mauchin 🐧 2019-02-21 16:38:53 UTC
Thanks for the review, I have applied all the requested changes.


Spec URL: https://eclipseo.fedorapeople.org/perl-File-Rsync.spec
SRPM URL: https://eclipseo.fedorapeople.org/perl-File-Rsync-0.49-1.fc30.src.rpm

Comment 3 Gwyn Ciesla 2019-02-21 16:47:50 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-File-Rsync

Comment 4 Fedora Update System 2019-02-21 17:17:04 UTC
perl-File-Rsync-0.49-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c76de6b1be

Comment 5 Fedora Update System 2019-02-21 17:24:21 UTC
perl-File-Rsync-0.49-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-130cfcec0c

Comment 6 Fedora Update System 2019-02-22 01:35:36 UTC
perl-File-Rsync-0.49-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-130cfcec0c

Comment 7 Fedora Update System 2019-02-22 03:06:27 UTC
perl-File-Rsync-0.49-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c76de6b1be

Comment 8 Fedora Update System 2019-03-02 01:20:36 UTC
perl-File-Rsync-0.49-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-03-02 01:46:53 UTC
perl-File-Rsync-0.49-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.